import { AccountNotFoundError } from './errors/SdkError.mjs';

function deserializeAccount(rawAccount, dataSerializer) {
  const {
    data,
    publicKey,
    ...rest
  } = rawAccount;
  const [parsedData] = dataSerializer.deserialize(data);
  return {
    address: publicKey,
    header: rest,
    ...parsedData
  };
}
function assertAccountExists(account, name, solution) {
  if (!account.exists) {
    throw new AccountNotFoundError(account.address, name, solution);
  }
}

export { assertAccountExists, deserializeAccount };
//# sourceMappingURL=Account.mjs.map
